---
title: "Object Tagging With the Wasabi S3 API"
slug: "object-tagging-with-the-wasabi-s3-api"
updated: 2025-07-18T20:48:51Z
published: 2025-07-18T20:48:51Z
canonical: "docs.wasabi.com/object-tagging-with-the-wasabi-s3-api"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wasabi.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Object Tagging With the Wasabi S3 API
## GET Object Tagging
Wasabi supports functionality to fetch the tag set of an object when the object:
- Does not have any tags
- Does have tags
### When the Object Does Not Have Any Tags
```json
GET https://s3.wasabisys.com/my_bucket/Test-object1.txt?tagging
```
Response body:
```json
```
```json
Status 200 OK
```
### When the Object Has Tags
```json
GET https://s3.wasabisys.com/my_bucket/Test-object2.pdf?tagging
```
Response body:
```json
key2
value2
key1
value1
```
```json
Status 200 OK
```
## PUT Object Tagging
Wasabi supports functionality for:
- Adding the tag value of an existing object in a bucket
- Appending the tag value of an existing object in a bucket
### Adding the Tag Value of an Existing Object in a Bucket
```json
PUT https://s3.wasabisys.com/my_bucket/Test-object3.pdf?tagging
Content-Type: text/xml
```
```json
tag1
value1
```
Response body:
```json
Status 200 OK
```
### Appending the Tag Value of an Existing Object in a Bucket
In this example, an existing object already has the tag value of “key5” –“value5”, You can append a new tag pair along with the existing pair.
```json
PUT https://s3.wasabisys.com/my_bucket/Test-object4.jpg?tagging
Content-Type: text/xml
```
Response body:
```json
key5
value5
key6
value6
```
```json
Status 200 OK
```
To PUT tags of any other version, use the versionId query parameter.
## DELETE Object Tagging
This removes the entire tag set from the specified object.
```json
DELETE https://s3.wasabisys.com/my_bucket/Test-object5.pdf?tagging
```
Response body:
```json
```
```json
Status 204 No Content
```
To delete tags of any other version, use the versionId query parameter.